<div 
(click)="$event.stopPropagation()"
class="ui-select" 
[class.error]="(ngControl.control.touched || ngControl.control.dirty) && ngControl.control.invalid">

    <div class="selected" *ngIf="selected.length > 0">
        <span 
        *ngFor="let s of selected; index as i">
            #{{ s }} <app-icon className="icon-close" (click)="remove(i)"></app-icon>
        </span>
    </div>

    <input 
    (blur)="onTouchedCallback()" 
    [placeholder]="placeholder" 
    type="text" 
    (keydown.enter)="$event.preventDefault()"
    (keydown.,)="$event.preventDefault()"
    (keyup)="filter($event)" 
    [(ngModel)]="filterValue" 
    #search>

    <ul class="items" [class.shown]="open">
        <li [class.active]="active == i" *ngFor="let t of items; index as i" (click)="select(t)">{{t}}</li>
    </ul>

</div>